From cb48a8e8419712e1d05ddb9593bfd34d34285f19 Mon Sep 17 00:00:00 2001
From: Ricardo Diaz <oceanosoftlapalma@gmail.com>
Date: Fri, 28 Feb 2014 10:16:55 +0100
Subject: [PATCH 3/3] added spanish translation

---
 .../x2gouseradmingui/x2gouseradmingui_es.ts        | 359 +++++++++++++++++++++
 1 file changed, 359 insertions(+)
 create mode 100644 x2goadmincenter/modules/x2gouseradmingui/x2gouseradmingui_es.ts

diff --git a/x2goadmincenter/modules/x2gouseradmingui/x2gouseradmingui_es.ts b/x2goadmincenter/modules/x2gouseradmingui/x2gouseradmingui_es.ts
new file mode 100644
index 0000000..166549e
--- /dev/null
+++ b/x2goadmincenter/modules/x2gouseradmingui/x2gouseradmingui_es.ts
@@ -0,0 +1,359 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="es_ES">
+<context>
+    <name>MaiaObject</name>
+    <message>
+        <location filename="../../maia/maiaObject.cpp" line="287"/>
+        <source>parse error: invalid xml-rpc. not conforming to spec.</source>
+        <translation>error de análisis: xml-prc inválido. No se ajusta a lo esperado.</translation>
+    </message>
+</context>
+<context>
+    <name>X2GoUserAdminUI</name>
+    <message>
+        <location filename="x2gouseradminui.ui" line="14"/>
+        <source>Form</source>
+        <translation>Formulario</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="24"/>
+        <source>Users</source>
+        <translation>Usuarios</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="69"/>
+        <source>Login</source>
+        <translation>Nombre de usuario</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="74"/>
+        <source>First name</source>
+        <translation>Nombre</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="79"/>
+        <source>Last name</source>
+        <translation>Apellidos</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="84"/>
+        <source>UID</source>
+        <translation>UID</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="94"/>
+        <source>Delete selected users ...</source>
+        <translation>Eliminar los usuarios seleccionados ...</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="104"/>
+        <source>Add user</source>
+        <translation>Añadir usuario</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="116"/>
+        <source>Filter</source>
+        <translation>Filtro</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="124"/>
+        <source>User name:</source>
+        <translation>Nombre de usuario:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="134"/>
+        <source>Name:</source>
+        <translation>Nombre:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="148"/>
+        <source>Hide user ID&apos;S below:</source>
+        <translation>Ocultar los ID de usuario menores que:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="175"/>
+        <source>Hide user ID&apos;s above:</source>
+        <translation>Ocultar los ID de usuario mayores que:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="187"/>
+        <source>Show treeview</source>
+        <translation>Mostrar vista de árbol</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="198"/>
+        <source>User settings</source>
+        <translation>Opciones del usuario</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="206"/>
+        <source>Login:</source>
+        <translation>Nombre de usuario:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="236"/>
+        <source>&lt;- Select/change image</source>
+        <translation>&lt;- Elegir/cambiar imagen</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="263"/>
+        <source>Username</source>
+        <translation>Nombre de usuario</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="272"/>
+        <source>User information</source>
+        <translation>Información del usuario</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="278"/>
+        <source>First &amp;name:</source>
+        <translation>&amp;Nombre:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="291"/>
+        <source>La&amp;st name:</source>
+        <translation>Apellido&amp;s:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="304"/>
+        <source>&amp;Birthday:</source>
+        <translation>&amp;Fecha de nacimiento:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="321"/>
+        <source>dd.MM.yyyy</source>
+        <translation>dd.MM.aaaa</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="334"/>
+        <source>System information</source>
+        <translation>Información del sistema</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="342"/>
+        <source>&amp;UID</source>
+        <translation>&amp;UID</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="359"/>
+        <source>&amp;Primary group:</source>
+        <translation>Grupo &amp;Principal:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="372"/>
+        <source>Home &amp;directory:</source>
+        <translation>&amp;Directorio para Home:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="385"/>
+        <source>&amp;Login shell:</source>
+        <translation>She&amp;ll para el inicio de sesión:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="404"/>
+        <source>Selected &amp;groups:</source>
+        <translation>&amp;Grupos seleccionados:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="438"/>
+        <source>Add to group</source>
+        <translation>Añadir al grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="448"/>
+        <source>Remove from group</source>
+        <translation>Eliminar del grupo</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="475"/>
+        <source>Existing groups:</source>
+        <translation>Grupos existentes:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="501"/>
+        <source>&amp;Change password</source>
+        <translation>&amp;Cambiar contraseña</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="525"/>
+        <source>Save group selection as default</source>
+        <translation>Guardar la selección de grupo como selección por defecto</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="545"/>
+        <source>&amp;Apply changes</source>
+        <translation>&amp;Aplicar cambios</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminui.ui" line="562"/>
+        <source>&lt;- Select user</source>
+        <translation>&lt;- Elegir usuario</translation>
+    </message>
+</context>
+<context>
+    <name>X2GouserAdminWindow</name>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="66"/>
+        <source>X2Go user administration</source>
+        <translation>Administración de usuarios X2Go</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="67"/>
+        <source>Add, remove and edit users ...</source>
+        <translation>Añadir, eliminar y editar usuarios ...</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="76"/>
+        <source>Developers:</source>
+        <translation>Desarrolladores:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="77"/>
+        <source>Translators:</source>
+        <translation>Traductores:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="178"/>
+        <location filename="x2gouseradminwindow.cpp" line="959"/>
+        <location filename="x2gouseradminwindow.cpp" line="1158"/>
+        <location filename="x2gouseradminwindow.cpp" line="1233"/>
+        <source>Retrieving information from server, please wait...</source>
+        <translation>Recuperando información desde el servidor, por favor espere...</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="184"/>
+        <source>Apply changes</source>
+        <translation>Aplicar cambios</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="184"/>
+        <source>Do you want to apply changes?</source>
+        <translation>¿Aplicar los cambios?</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="228"/>
+        <source>Connection error</source>
+        <translation>Error en la conexión</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="239"/>
+        <source>Server connection failed&lt;br&gt;Error message:</source>
+        <translation>Falló la conexión con el servidor&lt;br&gt;Mensaje de error:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="240"/>
+        <location filename="x2gouseradminwindow.cpp" line="248"/>
+        <location filename="x2gouseradminwindow.cpp" line="256"/>
+        <source>Server error</source>
+        <translation>Error en el servidor</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="247"/>
+        <source>Login failed:</source>
+        <translation>Falló el inicio de sesión:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="255"/>
+        <source>Execution of command failed&lt;br&gt;Error message:</source>
+        <translation>Falló la ejecución del comando&lt;br&gt;Mensaje de error:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="312"/>
+        <source>Set user password</source>
+        <translation>Establecer contraseña para el usuario</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="312"/>
+        <source>User password:</source>
+        <translation>Contraseña del usuario:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="315"/>
+        <source>Verify user password</source>
+        <translation>Verificación de contraseña del usuario</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="315"/>
+        <source>Verify password:</source>
+        <translation>Verificación de contraseña:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="318"/>
+        <location filename="x2gouseradminwindow.cpp" line="323"/>
+        <location filename="x2gouseradminwindow.cpp" line="1023"/>
+        <location filename="x2gouseradminwindow.cpp" line="1044"/>
+        <location filename="x2gouseradminwindow.cpp" line="1056"/>
+        <location filename="x2gouseradminwindow.cpp" line="1061"/>
+        <location filename="x2gouseradminwindow.cpp" line="1079"/>
+        <location filename="x2gouseradminwindow.cpp" line="1102"/>
+        <location filename="x2gouseradminwindow.cpp" line="1116"/>
+        <source>Error</source>
+        <translation>Error</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="318"/>
+        <source>Passwords are not identical</source>
+        <translation>Las contraseñas no coinciden</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="323"/>
+        <source>Password required</source>
+        <translation>Se requiere la contraseña </translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="609"/>
+        <location filename="x2gouseradminwindow.cpp" line="704"/>
+        <location filename="x2gouseradminwindow.cpp" line="1175"/>
+        <location filename="x2gouseradminwindow.cpp" line="1241"/>
+        <source>Ready</source>
+        <translation>Listo</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1023"/>
+        <source>Invalid input: &quot;First name&quot;</source>
+        <translation>Campo no válido: &quot;Nombre&quot;</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1044"/>
+        <source>Invalid input: &quot;Last name&quot;</source>
+        <translation>Campo no válido: &quot;Apellidos&quot;</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1056"/>
+        <source>Invalid input: &quot;Login&quot;</source>
+        <translation>Campo no válido: &quot;Nombre de usuario&quot;</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1061"/>
+        <source>User already exists: </source>
+        <translation>Ya existe el usuario:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1079"/>
+        <source>User with this UID already exists: </source>
+        <translation>Ya existe un usuario con el mismo ID:</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1102"/>
+        <source>Invalid input: &quot;Home directory&quot;</source>
+        <translation>Campo no válido: &quot;Directorio para Home&quot;</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1116"/>
+        <source>Invalid input: &quot;Login shell&quot;</source>
+        <translation>Campo no válido: &quot;Shell para el inicio de sesión&quot;</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1222"/>
+        <source>Warning</source>
+        <translation>Atención</translation>
+    </message>
+    <message>
+        <location filename="x2gouseradminwindow.cpp" line="1222"/>
+        <source>Delete selected user(s)</source>
+        <translation>Eliminar los usuarios seleccionados</translation>
+    </message>
+</context>
+</TS>
-- 
1.8.4.3