diff --git a/Makefile b/Makefile
index c7e5b73..3edb632 100755
--- a/Makefile
+++ b/Makefile
@@ -1,145 +1,153 @@
-#!/usr/bin/make -f
-
-SRC_DIR=$(CURDIR)
-CLIENT_DIR=$(SRC_DIR)/client_build
-CLIENT_BINARY=$(CLIENT_DIR)/x2goclient
-
-PLUGIN_DIR=$(SRC_DIR)/plugin_build
-PLUGIN_BINARY=$(PLUGIN_DIR)/libx2goplugin.so
-
-SHELL=/bin/bash
-
-INSTALL_DIR=install -d -o root -g root -m 755
-INSTALL_FILE=install -o root -g root -m 644
-INSTALL_SYMLINK=ln -s -f
-INSTALL_PROGRAM=install -o root -g root -m 755
-
-RM_FILE=rm -f
-RM_DIR=rmdir -p --ignore-fail-on-non-empty
-
-DESTDIR=
-PREFIX=/usr/local
-ETCDIR=/etc/x2go
-BINDIR=$(PREFIX)/bin
-SHAREDIR=$(PREFIX)/share
-MANDIR=$(SHAREDIR)/man
-MOZPLUGDIR=$(PREFIX)/lib/mozilla/plugins
-QMAKE_BINARY=qmake-qt4
-LRELEASE_BINARY=lrelease-qt4
-
-LDFLAGS+=-lldap -lcups -lX11 -lXpm
-
-all: build
-
-build: build_man build_pluginprovider
-	$(MAKE) build_client
-	$(MAKE) build_plugin
-
-build_client:
-	$(LRELEASE_BINARY) x2goclient.pro
-	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
-	cd $(CLIENT_DIR) && $(MAKE)
-
-build_plugin:
-	$(LRELEASE_BINARY) x2goclient.pro
-	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
-	cd $(PLUGIN_DIR) && $(MAKE)
-
-build_pluginprovider:
-
-build_man:
-	${MAKE} -f Makefile.man2html build
-
-clean: clean_client clean_plugin clean_man clean_pluginprovider
-	find . -maxdepth 2 -name '*.o' -exec rm -vf {} + -type f
-	find . -maxdepth 2 -name 'moc_*.cpp' -exec rm -vf {} + -type f
-	find . -maxdepth 2 -name 'ui_*.h' -exec rm -vf {} + -type f
-	find . -maxdepth 2 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
-	rm -f x2goclient
-	rm -f x2goclient.tag
-	rm -f txt/changelog
-	rm -f txt/git-info
-
-clean_client:
-	rm -fr $(CLIENT_DIR)
-
-clean_plugin:
-	rm -fr $(PLUGIN_DIR)
-
-clean_pluginprovider:
-
-clean_man:
-	make -f Makefile.man2html clean
-
-install: install_client install_plugin install_man install_pluginprovider
-
-install_client:
-	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
-	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/applications
-	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2goclient/icons
-	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/128x128/apps
-	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps
-	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps
-	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps
-	$(INSTALL_PROGRAM) $(CLIENT_DIR)/x2goclient $(DESTDIR)$(BINDIR)/x2goclient
-	$(INSTALL_FILE) desktop/x2goclient.desktop    $(DESTDIR)$(SHAREDIR)/applications/x2goclient.desktop
-	$(INSTALL_FILE) icons/x2goclient.xpm          $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2goclient.xpm
-	$(INSTALL_FILE) icons/128x128/x2goclient.png  $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2goclient.png
-	$(INSTALL_FILE) icons/128x128/x2gosession.png $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2gosession.png
-	$(INSTALL_FILE) icons/128x128/x2goclient.png  $(DESTDIR)$(SHAREDIR)/icons/hicolor/128x128/apps/x2goclient.png
-	$(INSTALL_FILE) icons/16x16/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/x2goclient.png
-	$(INSTALL_FILE) icons/64x64/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
-	$(INSTALL_FILE) icons/32x32/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png
-
-install_plugin:
-	$(INSTALL_DIR) $(DESTDIR)$(MOZPLUGDIR)/
-	$(INSTALL_PROGRAM) $(PLUGIN_DIR)/libx2goplugin.so $(DESTDIR)$(MOZPLUGDIR)/libx2goplugin.so
-
-install_pluginprovider:
-	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/plugin-provider
-	$(INSTALL_FILE) provider/etc/x2goplugin-apache.conf $(DESTDIR)$(ETCDIR)/x2goplugin-apache.conf
-	$(INSTALL_FILE) provider/share/x2goplugin.html $(DESTDIR)$(ETCDIR)/plugin-provider/x2goplugin.html
-	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2go/plugin/
-	$(INSTALL_SYMLINK) ../../../../$(ETCDIR)/plugin-provider/x2goplugin.html $(DESTDIR)$(SHAREDIR)/x2go/plugin/x2goplugin.html
-
-install_man:
-	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/
-	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
-	$(INSTALL_FILE) man/man1/x2goclient.1    $(DESTDIR)$(MANDIR)/man1/x2goclient.1
-	gzip -f $(DESTDIR)$(MANDIR)/man1/x2goclient.1
-
-uninstall: uninstall_client uninstall_plugin uninstall_man
-
-uninstall_client:
-	$(RM_FILE) $(BINDIR)/x2goclient
-	$(RM_FILE) $(SHAREDIR)/applications/x2goclient.desktop
-	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2goclient.png
-	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2goclient.xpm
-	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2gosession.png
-	$(RM_FILE) $(SHAREDIR)/icons/hicolor/128x128/apps/x2goclient.png
-	$(RM_FILE) $(SHAREDIR)/icons/hicolor/16x16/apps/x2goclient.png
-	$(RM_FILE) $(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
-	$(RM_FILE) $(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png
-	$(RM_DIR) $(SHAREDIR)/applications
-	$(RM_DIR) $(SHAREDIR)/x2goclient/icons
-	$(RM_DIR) $(SHAREDIR)/icons/hicolor/128x128/apps
-	$(RM_DIR) $(SHAREDIR)/icons/hicolor/16x16/apps
-	$(RM_DIR) $(SHAREDIR)/icons/hicolor/64x64/apps
-	$(RM_DIR) $(SHAREDIR)/icons/hicolor/32x32/apps
-
-uninstall_plugin:
-	$(RM_FILE) $(MOZPLUGDIR)/libx2goplugin.so
-	$(RM_DIR) $(MOZPLUGDIR)/
-
-uninstall_pluginprovider:
-	$(RM_FILE) $(ETCDIR)/x2goplugin-apache.conf
-	$(RM_FILE) $(ETCDIR)/plugin-provider/x2goplugin.html
-	$(RM_DIR) $(ETCDIR)/plugin-provider
-	$(RM_DIR) $(ETCDIR)
-	$(RM_FILE) $(SHAREDIR)/x2go/plugin/x2goplugin.html
-	$(RM_DIR) $(SHAREDIR)/x2go/plugin/
-	$(RM_DIR) $(SHAREDIR)/x2go/
-
-uninstall_man:
-	$(RM_FILE) $(MANDIR)/man1/x2goclient.1.gz
-	$(RM_DIR) $(MANDIR)/man1
+#############################################################################
+# Makefile for building: x2goclient
+# Generated by qmake (2.01a) (Qt 4.8.5) on: Sun Sep 7 08:32:42 2014
+# Project:  x2goclient.pro
+# Template: app
+# Command: c:\x2gobuilds\depends\Qt\bin\qmake.exe -o Makefile x2goclient.pro
+#############################################################################
+
+first: release
+install: release-install
+uninstall: release-uninstall
+MAKEFILE      = Makefile
+QMAKE         = c:\x2gobuilds\depends\Qt\bin\qmake.exe
+DEL_FILE      = del
+CHK_DIR_EXISTS= if not exist
+MKDIR         = mkdir
+COPY          = copy /y
+COPY_FILE     = $(COPY)
+COPY_DIR      = xcopy /s /q /y /i
+INSTALL_FILE  = $(COPY_FILE)
+INSTALL_PROGRAM = $(COPY_FILE)
+INSTALL_DIR   = $(COPY_DIR)
+DEL_FILE      = del
+SYMLINK       = 
+DEL_DIR       = rmdir
+MOVE          = move
+CHK_DIR_EXISTS= if not exist
+MKDIR         = mkdir
+SUBTARGETS    =  \
+		release \
+		debug
+
+release: $(MAKEFILE).Release FORCE
+	$(MAKE) -f $(MAKEFILE).Release
+release-make_default: $(MAKEFILE).Release FORCE
+	$(MAKE) -f $(MAKEFILE).Release 
+release-make_first: $(MAKEFILE).Release FORCE
+	$(MAKE) -f $(MAKEFILE).Release first
+release-all: $(MAKEFILE).Release FORCE
+	$(MAKE) -f $(MAKEFILE).Release all
+release-clean: $(MAKEFILE).Release FORCE
+	$(MAKE) -f $(MAKEFILE).Release clean
+release-distclean: $(MAKEFILE).Release FORCE
+	$(MAKE) -f $(MAKEFILE).Release distclean
+release-install: $(MAKEFILE).Release FORCE
+	$(MAKE) -f $(MAKEFILE).Release install
+release-uninstall: $(MAKEFILE).Release FORCE
+	$(MAKE) -f $(MAKEFILE).Release uninstall
+debug: $(MAKEFILE).Debug FORCE
+	$(MAKE) -f $(MAKEFILE).Debug
+debug-make_default: $(MAKEFILE).Debug FORCE
+	$(MAKE) -f $(MAKEFILE).Debug 
+debug-make_first: $(MAKEFILE).Debug FORCE
+	$(MAKE) -f $(MAKEFILE).Debug first
+debug-all: $(MAKEFILE).Debug FORCE
+	$(MAKE) -f $(MAKEFILE).Debug all
+debug-clean: $(MAKEFILE).Debug FORCE
+	$(MAKE) -f $(MAKEFILE).Debug clean
+debug-distclean: $(MAKEFILE).Debug FORCE
+	$(MAKE) -f $(MAKEFILE).Debug distclean
+debug-install: $(MAKEFILE).Debug FORCE
+	$(MAKE) -f $(MAKEFILE).Debug install
+debug-uninstall: $(MAKEFILE).Debug FORCE
+	$(MAKE) -f $(MAKEFILE).Debug uninstall
+
+Makefile: x2goclient.pro  ../depends/Qt/mkspecs/win32-g++/qmake.conf ../depends/Qt/mkspecs/features/device_config.prf \
+		../depends/Qt/mkspecs/qconfig.pri \
+		../depends/Qt/mkspecs/features/qt_functions.prf \
+		../depends/Qt/mkspecs/features/qt_config.prf \
+		../depends/Qt/mkspecs/features/exclusive_builds.prf \
+		../depends/Qt/mkspecs/features/default_pre.prf \
+		../depends/Qt/mkspecs/features/win32/default_pre.prf \
+		../depends/Qt/mkspecs/features/release.prf \
+		../depends/Qt/mkspecs/features/debug_and_release.prf \
+		../depends/Qt/mkspecs/features/default_post.prf \
+		../depends/Qt/mkspecs/features/win32/default_post.prf \
+		../depends/Qt/mkspecs/features/static.prf \
+		../depends/Qt/mkspecs/features/win32/console.prf \
+		../depends/Qt/mkspecs/features/win32/rtti.prf \
+		../depends/Qt/mkspecs/features/win32/exceptions.prf \
+		../depends/Qt/mkspecs/features/win32/stl.prf \
+		../depends/Qt/mkspecs/features/warn_on.prf \
+		../depends/Qt/mkspecs/features/qt.prf \
+		../depends/Qt/mkspecs/features/win32/thread.prf \
+		../depends/Qt/mkspecs/features/moc.prf \
+		../depends/Qt/mkspecs/features/resources.prf \
+		../depends/Qt/mkspecs/features/uic.prf \
+		../depends/Qt/mkspecs/features/yacc.prf \
+		../depends/Qt/mkspecs/features/lex.prf \
+		../depends/Qt/mkspecs/features/include_source_dir.prf \
+		c:/x2gobuilds/depends/Qt/lib/QtSvg.prl \
+		c:/x2gobuilds/depends/Qt/lib/QtGui.prl \
+		c:/x2gobuilds/depends/Qt/lib/QtNetwork.prl \
+		c:/x2gobuilds/depends/Qt/lib/QtCore.prl
+	$(QMAKE) -o Makefile x2goclient.pro
+..\depends\Qt\mkspecs\features\device_config.prf:
+..\depends\Qt\mkspecs\qconfig.pri:
+..\depends\Qt\mkspecs\features\qt_functions.prf:
+..\depends\Qt\mkspecs\features\qt_config.prf:
+..\depends\Qt\mkspecs\features\exclusive_builds.prf:
+..\depends\Qt\mkspecs\features\default_pre.prf:
+..\depends\Qt\mkspecs\features\win32\default_pre.prf:
+..\depends\Qt\mkspecs\features\release.prf:
+..\depends\Qt\mkspecs\features\debug_and_release.prf:
+..\depends\Qt\mkspecs\features\default_post.prf:
+..\depends\Qt\mkspecs\features\win32\default_post.prf:
+..\depends\Qt\mkspecs\features\static.prf:
+..\depends\Qt\mkspecs\features\win32\console.prf:
+..\depends\Qt\mkspecs\features\win32\rtti.prf:
+..\depends\Qt\mkspecs\features\win32\exceptions.prf:
+..\depends\Qt\mkspecs\features\win32\stl.prf:
+..\depends\Qt\mkspecs\features\warn_on.prf:
+..\depends\Qt\mkspecs\features\qt.prf:
+..\depends\Qt\mkspecs\features\win32\thread.prf:
+..\depends\Qt\mkspecs\features\moc.prf:
+..\depends\Qt\mkspecs\features\resources.prf:
+..\depends\Qt\mkspecs\features\uic.prf:
+..\depends\Qt\mkspecs\features\yacc.prf:
+..\depends\Qt\mkspecs\features\lex.prf:
+..\depends\Qt\mkspecs\features\include_source_dir.prf:
+c:\x2gobuilds\depends\Qt\lib\QtSvg.prl:
+c:\x2gobuilds\depends\Qt\lib\QtGui.prl:
+c:\x2gobuilds\depends\Qt\lib\QtNetwork.prl:
+c:\x2gobuilds\depends\Qt\lib\QtCore.prl:
+qmake: qmake_all FORCE
+	@$(QMAKE) -o Makefile x2goclient.pro
+
+qmake_all: FORCE
+
+make_default: release-make_default debug-make_default FORCE
+make_first: release-make_first debug-make_first FORCE
+all: release-all debug-all FORCE
+clean: release-clean debug-clean FORCE
+distclean: release-distclean debug-distclean FORCE
+	-$(DEL_FILE) Makefile
+
+check: first
+
+release-mocclean: $(MAKEFILE).Release
+	$(MAKE) -f $(MAKEFILE).Release mocclean
+debug-mocclean: $(MAKEFILE).Debug
+	$(MAKE) -f $(MAKEFILE).Debug mocclean
+mocclean: release-mocclean debug-mocclean
+
+release-mocables: $(MAKEFILE).Release
+	$(MAKE) -f $(MAKEFILE).Release mocables
+debug-mocables: $(MAKEFILE).Debug
+	$(MAKE) -f $(MAKEFILE).Debug mocables
+mocables: release-mocables debug-mocables
+FORCE:
+
+$(MAKEFILE).Release: Makefile
+$(MAKEFILE).Debug: Makefile
diff --git a/sshmasterconnection.cpp b/sshmasterconnection.cpp
index 827eefe..0f1f561 100755
--- a/sshmasterconnection.cpp
+++ b/sshmasterconnection.cpp
@@ -518,7 +518,7 @@ void SshMasterConnection::run()
     }
 
 #ifdef Q_OS_WIN
-    ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR, (mainWnd->getHomeDirectory()+"/ssh").toAscii());
+    ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR, (mainWnd->getHomeDirectory()+"/ssh").toUtf8());
     if (kerberos)
     {
         parseKnownHosts();
@@ -625,13 +625,15 @@ void SshMasterConnection::run()
 #endif
         return;
     }
-    ssh_options_set ( my_ssh_session, SSH_OPTIONS_USER, user.toAscii() );
 #ifdef Q_OS_WIN
-    ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR, (mainWnd->getHomeDirectory()+"/ssh").toAscii());
-
+    ssh_options_set ( my_ssh_session, SSH_OPTIONS_USER, user.toUtf8() );
+    ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR, (mainWnd->getHomeDirectory()+"/ssh").toUtf8());
 #ifdef DEBUG
     x2goDebug<<"setting SSH DIR to "<<mainWnd->getHomeDirectory()+"/ssh";
 #endif
+#else
+    ssh_options_set ( my_ssh_session, SSH_OPTIONS_USER, user.toAscii() );
+
 #endif
 
     if ( userAuth() )
diff --git a/x2goclient.pro b/x2goclient.pro
index e6eee01..7bae04c 100755
--- a/x2goclient.pro
+++ b/x2goclient.pro
@@ -8,7 +8,7 @@
 
 CONFIG += $$(X2GO_CLIENT_TARGET)
 CONFIG += $$(X2GO_LINUX_STATIC)
-#CONFIG += console
+CONFIG += console
 
 FORMS += cupsprintsettingsdialog.ui \
            cupsprintwidget.ui \